//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL.DBEntities
{
    using System;
    using System.Collections.Generic;
    
    public partial class vt_Subscription
    {
        public int Id { get; set; }
        public Nullable<int> OrderId { get; set; }
        public Nullable<int> ProductID { get; set; }
        public Nullable<int> CustomerId { get; set; }
        public Nullable<int> SKUID { get; set; }
        public string S_MCID { get; set; }
        public string M_EntitlementId { get; set; }
        public string M_OfferId { get; set; }
        public string M_OrderId { get; set; }
        public string OfferName { get; set; }
        public string FriendlyName { get; set; }
        public Nullable<int> Quantity { get; set; }
        public string UnitType { get; set; }
        public Nullable<System.DateTime> CreateDate { get; set; }
        public Nullable<System.DateTime> EffectiveStartDate { get; set; }
        public Nullable<System.DateTime> CommitmentEndDate { get; set; }
        public Nullable<bool> Status { get; set; }
        public Nullable<bool> AutoRenewEnabled { get; set; }
        public string BillingType { get; set; }
        public string BillingCycle { get; set; }
        public Nullable<bool> HasPurchasableAddons { get; set; }
        public Nullable<bool> IsTrial { get; set; }
        public string ContractType { get; set; }
    
        public virtual vt_Customers vt_Customers { get; set; }
        public virtual vt_Order vt_Order { get; set; }
        public virtual vt_Products vt_Products { get; set; }
    }
}
